# annotation

integron_finder.annotation.add_feature(replicon, integron_desc, prot_db, dist_threshold)

  Add integron annotation to the replicon.

  Parameters:

    - replicon (a `Bio.Seq.SeqRecord` object.) – The Replicon to annotate

    - integron_desc (a `pandas.DataFrame`) – integron description

    - prot_db (a `integron_finder.prot_db.ProteinDB` object.) – the path to the fasta file containing the translation of the replicon.

    - dist_threshold (int) – Two elements are aggregated if they are distant of dist_threshold or less.

integron_finder.annotation.func_annot(integrons, replicon, prot_db, hmm_files, cfg, out_dir='.', evalue=10, coverage=0.5)
  Call hmmmer to annotate CDS associated with the integron.
  Use NCBIfam-AMRFinder.LIB available here https://ftp.ncbi.nlm.nih.gov/hmm/NCBIfam-AMRFinder/
  check for the appropriate version
  Parameters:

    - integrons (list of `integron_finder.integron.Integron` objects.) – integrons list to annotate

    - replicon (`Bio.Seq.SeqRecord` object) – replicon where the integrons were found (genomic fasta file)

    - prot_db (`integron.prot_db.ProteinDB` object.) – the protein database corresponding to the replicon translation

    - hmm_files (List[str]) – List of path of hmm profiles to use to scan the prot_file

    - cfg (`integron_finder.config.Config`) – the configuration for this analyse

    - out_dir (str) – the path of the directory where to store the results

    - evalue (float)

    - coverage (float)

  Returns:

    None.

    But several files per hmm file are produced.

    - subseqprot.tmp: fasta file containing a subset of protfile (the proteins belonging to the integron)

    - <hmm>_fa.res: an output of the hmm search.

    - <hmm>_fa_table.res: an output of the hmm search in tabulated format.